V1.0
get
/ec-notifications-svc/rest/v1.0/studies/{studyId}/{mode}/notificationsbroadcast/notificationCount
Display number of total and unread broadcast notifications for a user & study.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
active -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
6153170BDE5244A0BB3DF169C4168483
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Request processed successfully, check the result
Root Schema : NotificationCount
Type:
objectCounts of total notifications and unread notifications for the user and study.
Show Source
-
totalCount: number
Total number of notifications available for the user and study.Example:
12 -
unreadCount: number
Number of notifications that are unread for the user and study.Example:
3
Examples